import 'package:flutter/material.dart';

class Bds8xColor {
  Bds8xColor._();

  /// Màu xanh chính của app
  static const Color blue367E = Color(0xff2a367e);

  /// Màu cam chính của app
  static const Color orange9750 = Color(0xFFF79750);

  /// Màu đen cơ bản
  static const Color black = Color(0xFF000000);

  /// Màu trắng cơ bản
  static const Color white = Color(0xFFFFFFFF);

  /// Màu xám, dùng cho văn bản phụ, chú thích
  static const Color grey6B6B = Color(0xff6B6B6B);

  /// Màu xám siêu nhạt, dùng cho skeleton
  static const Color greyF5F5 = Color(0xFFF5F5F5);

  /// Màu xám nhạt dùng cho nền, background textfield, ...
  static const Color greyEEEE = Color(0xFFEEEEEE);

  /// Màu xám nhạt dùng cho viền
  static const Color greyE0E0 = Color(0xFFE0E0E0);

  /// Màu xám thường
  static const Color grey9E9E = Color(0xFF9E9E9E);

  /// Màu đỏ cơ bản, thường dùng cho error
  static const Color red4336 = Color(0xFFF44336);
}

class TBTColor {
  TBTColor._();

  /// Dùng cho các màu text, đen cơ bản
  static const Color black = Color(0xFF000000);

  /// Chưa biết
  static const Color black1F2A = Color(0xFF1B1F2A);

  /// Màu trắng cơ bản
  static const Color white = Color(0xFFFFFFFF);

  /// Chưa biết
  static const Color whiteF1F2 = Color(0xffeef1f2);

  /// màu hồng chính của app, dùng cho đa số các màu hồng
  static const Color pink4667 = Color(0xffff4667);

  /// Hồng nhạt hơn, thường dùng cho nền hồng
  static const Color pinkEBF2 = Color(0xffffebf2);

  /// Màu vàng chính của app
  static const Color yellowCE31 = Color(0xffffce31);

  /// Dùng cho văn bản phụ, chú thích
  static const Color greyA4AF = Color(0xFF97A4AF);

  /// Chưa biết
  static const Color greyCED9 = Color(0xffc2ced9);

  /// Dùng cho màu nền
  static const Color greyF1F2 = Color(0xffeef1f2);

  /// Màu xanh chính của app
  static const Color blueA2B0 = Color(0xFF34A2B0);

  /// Màu xanh background
  static const Color blueFDFF = Color(0xFFEFFDFF);
}
