import 'package:flutter/material.dart';
import 'package:get/get.dart';

class WowTextStyle {
  WowTextStyle._();

  /// Thường dùng cho tiêu đề appbar
  static TextStyle? get title => Get.textTheme.headline5;

  /// Văn bản mặc định
  static TextStyle? get bodyText => Get.textTheme.bodyText2;

  /// Dùng cho các loại nút
  static TextStyle? get button => Get.textTheme.button;

  /// Dùng cho văn bản phụ
  static TextStyle? get caption => Get.textTheme.caption;

  /// Dùng cho tiêu đề trong danh sách, tiêu đề nhỏ
  static TextStyle? get listTitle => Get.textTheme.headline6;

  /// Dùng cho văn bản trong 1 nội dung danh sách,
  /// lớn hơn văn bản thường
  static TextStyle? get listItem => Get.textTheme.bodyText1;
}
