import 'package:flutter/material.dart';
import 'package:wow_views/common/color.dart';

const TextTheme bds8xTextTheme = TextTheme(
  headline1: TextStyle(
    color: Bds8xColor.blue367E,
    fontWeight: FontWeight.bold,
    fontSize: 20,
    overflow: TextOverflow.ellipsis,
  ),
  headline2: TextStyle(
    color: Bds8xColor.blue367E,
    fontWeight: FontWeight.bold,
    fontSize: 20,
    overflow: TextOverflow.ellipsis,
  ),
  headline3: TextStyle(
    color: Bds8xColor.blue367E,
    fontWeight: FontWeight.bold,
    fontSize: 20,
    overflow: TextOverflow.ellipsis,
  ),
  headline4: TextStyle(
    color: Bds8xColor.blue367E,
    fontWeight: FontWeight.bold,
    fontSize: 20,
    overflow: TextOverflow.ellipsis,
  ),
  headline5: TextStyle(
    color: Bds8xColor.blue367E,
    fontWeight: FontWeight.bold,
    fontSize: 20,
    overflow: TextOverflow.ellipsis,
  ),
  headline6: TextStyle(
    color: Bds8xColor.blue367E,
    fontWeight: FontWeight.bold,
    fontSize: 18,
    overflow: TextOverflow.ellipsis,
  ),
  subtitle1: TextStyle(
    color: Bds8xColor.black,
    fontWeight: FontWeight.normal,
    fontSize: 14,
    overflow: TextOverflow.ellipsis,
  ),
  subtitle2: TextStyle(
    color: Bds8xColor.black,
    fontWeight: FontWeight.normal,
    fontSize: 14,
    overflow: TextOverflow.ellipsis,
  ),
  bodyText1: TextStyle(
    color: Bds8xColor.black,
    fontWeight: FontWeight.normal,
    fontSize: 16,
    overflow: TextOverflow.ellipsis,
  ),
  bodyText2: TextStyle(
    color: Bds8xColor.black,
    fontWeight: FontWeight.normal,
    fontSize: 14,
    overflow: TextOverflow.ellipsis,
  ),
  caption: TextStyle(
    color: Bds8xColor.grey6B6B,
    fontWeight: FontWeight.normal,
    fontSize: 14,
    overflow: TextOverflow.ellipsis,
  ),
  button: TextStyle(
    color: Bds8xColor.black,
    fontWeight: FontWeight.bold,
    fontSize: 16,
    overflow: TextOverflow.ellipsis,
  ),
  overline: TextStyle(
    color: Bds8xColor.black,
    fontWeight: FontWeight.normal,
    fontSize: 12,
    overflow: TextOverflow.ellipsis,
  ),
);

TextTheme tbtTextTheme = const TextTheme(
  headline1: TextStyle(
    color: TBTColor.black,
    fontWeight: FontWeight.bold,
    fontSize: 20,
    overflow: TextOverflow.ellipsis,
  ),
  headline2: TextStyle(
    color: TBTColor.black,
    fontWeight: FontWeight.bold,
    fontSize: 20,
    overflow: TextOverflow.ellipsis,
  ),
  headline3: TextStyle(
    color: TBTColor.black,
    fontWeight: FontWeight.bold,
    fontSize: 20,
    overflow: TextOverflow.ellipsis,
  ),
  headline4: TextStyle(
    color: TBTColor.black,
    fontWeight: FontWeight.bold,
    fontSize: 20,
    overflow: TextOverflow.ellipsis,
  ),
  headline5: TextStyle(
    color: TBTColor.black,
    fontWeight: FontWeight.bold,
    fontSize: 20,
    overflow: TextOverflow.ellipsis,
  ),
  headline6: TextStyle(
    color: TBTColor.black,
    fontWeight: FontWeight.bold,
    fontSize: 18,
    overflow: TextOverflow.ellipsis,
  ),
  subtitle1: TextStyle(
    color: TBTColor.black,
    fontWeight: FontWeight.normal,
    fontSize: 14,
    overflow: TextOverflow.ellipsis,
  ),
  subtitle2: TextStyle(
    color: TBTColor.black,
    fontWeight: FontWeight.normal,
    fontSize: 14,
    overflow: TextOverflow.ellipsis,
  ),
  bodyText1: TextStyle(
    color: TBTColor.black,
    fontWeight: FontWeight.normal,
    fontSize: 16,
    overflow: TextOverflow.ellipsis,
  ),
  bodyText2: TextStyle(
    color: TBTColor.black,
    fontWeight: FontWeight.normal,
    fontSize: 14,
    overflow: TextOverflow.ellipsis,
  ),
  caption: TextStyle(
    color: TBTColor.greyA4AF,
    fontWeight: FontWeight.normal,
    fontSize: 14,
    overflow: TextOverflow.ellipsis,
  ),
  button: TextStyle(
    color: TBTColor.black,
    fontWeight: FontWeight.bold,
    fontSize: 16,
    overflow: TextOverflow.ellipsis,
  ),
  overline: TextStyle(
    color: TBTColor.black,
    fontWeight: FontWeight.normal,
    fontSize: 12,
    overflow: TextOverflow.ellipsis,
  ),
);
