import 'package:flutter/material.dart';
import 'package:wow_views/common/color.dart';
import 'package:wow_views/common/theme/app_bar_theme.dart';
import 'package:wow_views/common/theme/icon_theme.dart';
import 'package:wow_views/common/theme/input_decoration_theme.dart';
import 'text_theme.dart';

ThemeData bds8xThemeData = ThemeData(
  appBarTheme: bds8xAppBarTheme,
  fontFamily: 'SFUIText',
  textTheme: bds8xTextTheme,
  textSelectionTheme:
      const TextSelectionThemeData(cursorColor: Bds8xColor.blue367E),
  backgroundColor: Bds8xColor.white,
  primaryColor: Bds8xColor.blue367E,
  scaffoldBackgroundColor: Bds8xColor.white,
  inputDecorationTheme: bds8xInputDecorationTheme,
  iconTheme: bds8xIconTheme,
);

ThemeData tbtThemeData = ThemeData(
  appBarTheme: tbtAppBarTheme,
  fontFamily: 'OpenSans',
  textTheme: tbtTextTheme,
  textSelectionTheme:
      const TextSelectionThemeData(cursorColor: TBTColor.pink4667),
  backgroundColor: TBTColor.white,
  primaryColor: TBTColor.pink4667,
  scaffoldBackgroundColor: TBTColor.white,
  inputDecorationTheme: tbtInputDecorationTheme,
  iconTheme: tbtIconTheme,
);
