import 'package:flutter/material.dart';
import 'package:google_maps_flutter/google_maps_flutter.dart';

class SetUpMarker {
  SetUpMarker(
    this.data, {
    this.id,
    this.textValue,
    required this.latitude,
    required this.longitude,
    this.viewId,
    this.statusData,
    this.urlImage,
    this.title,
    this.address,
    this.price,
    this.area,
    this.dsHinhAnh,
    this.tongBDS,
    this.ggMaker,
    this.backGroundColor = Colors.white,
    this.fontSize = 32,
    this.iconUI = '',
    this.iconSelected = '',
    this.textColor = Colors.red,
    this.fontWeight = FontWeight.bold,
    this.padding = const EdgeInsets.symmetric(horizontal: 16, vertical: 8),
  });

  final int? id;
  final int? viewId;
  final int? statusData;
  final String? textValue;
  final double latitude;
  final double longitude;

  //information item show in card bottom
  final String? urlImage;
  final String? title;
  final String? address;
  final double? price;
  final double? area;
  final List<Map<String, Object>>? dsHinhAnh;

  //infor marker
  final FontWeight? fontWeight;
  final Color? textColor;
  final Color? backGroundColor;
  final String? iconUI;
  final String? iconSelected;
  final double? fontSize;
  final int? tongBDS;
  final EdgeInsets? padding;

  bool selected = false;
  Marker? ggMaker;
  final Map<String, Object> data;

  LatLng getLatLng() {
    return LatLng(latitude, longitude);
  }
}
